var Path = require('path');
var Webpack = require('webpack');
var bourbonPath = require('bourbon').includePaths;

module.exports = function (options) {
    var plugins = [];

    if (options.hot) {
        plugins.push(new Webpack.HotModuleReplacementPlugin());
    }

    if (options.minimize) {
        plugins.push(new Webpack.optimize.UglifyJsPlugin());
    }

    return {
        context: Path.resolve(__dirname, 'src'),
        devServer: options.devServer,
        devtool: options.devtool,
        entry: {
            example: './example.js'
        },
        module: {
            loaders: [
                {
                    test: /\.js$/,
                    exclude: /node_modules/,
                    loader: 'babel-loader'
                },
                {
                    test: /\.scss$/,
                    loaders: [
                        'style',
                        'css',
                        'sass?outputStyle=compressed&includePaths[]=' + bourbonPath
                    ]
                }
            ]
        },
        output: {
            filename: '[name].js',
            path: Path.resolve(__dirname, 'build'),
            publicPath: options.devServer ? 'http://localhost:' + options.devServer.port + '/build/' : '/build/'
        },
        plugins: plugins
    };
};
